<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: RoundCard Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classRoundCard-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RoundCard Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RoundCard:</div>
<div class="dyncontent">
<div class="center"><img src="classRoundCard__inherit__graph.png" border="0" usemap="#aRoundCard_inherit__map" alt="Inheritance graph"/></div>
<map name="aRoundCard_inherit__map" id="aRoundCard_inherit__map">
<area shape="rect" title=" " alt="" coords="93,80,187,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for RoundCard:</div>
<div class="dyncontent">
<div class="center"><img src="classRoundCard__coll__graph.png" border="0" usemap="#aRoundCard_coll__map" alt="Collaboration graph"/></div>
<map name="aRoundCard_coll__map" id="aRoundCard_coll__map">
<area shape="rect" title=" " alt="" coords="93,80,187,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a81e3eff0a803001eccb5e6657c0828c1"><td class="memItemLeft" align="right" valign="top"><a id="a81e3eff0a803001eccb5e6657c0828c1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RoundCard</b> (RoundCardType type, EventType event, const std::vector&lt; MiniRoundType &gt; &amp;miniRound)</td></tr>
<tr class="separator:a81e3eff0a803001eccb5e6657c0828c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99672935639b9cd2291ebd3a276eb3ef"><td class="memItemLeft" align="right" valign="top"><a id="a99672935639b9cd2291ebd3a276eb3ef"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RoundCard</b> (RoundCardType type, EventType event, const <a class="el" href="classMiniRoundCollection.html">MiniRoundCollection</a> &amp;miniRound)</td></tr>
<tr class="separator:a99672935639b9cd2291ebd3a276eb3ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbbdd4668555b9fc3c4dd9738dab496b"><td class="memItemLeft" align="right" valign="top"><a id="acbbdd4668555b9fc3c4dd9738dab496b"></a>
RoundCardType&#160;</td><td class="memItemRight" valign="bottom"><b>typeOfRoundCard</b> () const</td></tr>
<tr class="separator:acbbdd4668555b9fc3c4dd9738dab496b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07b1c5dc705d727e052e6e9f78656495"><td class="memItemLeft" align="right" valign="top"><a id="a07b1c5dc705d727e052e6e9f78656495"></a>
<a class="el" href="classMiniRoundCollection.html">MiniRoundCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getMiniRounds</b> ()</td></tr>
<tr class="separator:a07b1c5dc705d727e052e6e9f78656495"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af58c7e868dc35ad6dc31415a4169ab36"><td class="memItemLeft" align="right" valign="top"><a id="af58c7e868dc35ad6dc31415a4169ab36"></a>
EventType&#160;</td><td class="memItemRight" valign="bottom"><b>event</b> () const</td></tr>
<tr class="separator:af58c7e868dc35ad6dc31415a4169ab36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81ecb506488edac6b985b9023004afeb"><td class="memItemLeft" align="right" valign="top"><a id="a81ecb506488edac6b985b9023004afeb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setType</b> (RoundCardType &amp;newType)</td></tr>
<tr class="separator:a81ecb506488edac6b985b9023004afeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2574beae486e3ee02ba900b090020e1b"><td class="memItemLeft" align="right" valign="top"><a id="a2574beae486e3ee02ba900b090020e1b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setEvent</b> (EventType &amp;newEvent)</td></tr>
<tr class="separator:a2574beae486e3ee02ba900b090020e1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9fe3ed05a336d1bf8e01761bf19de42"><td class="memItemLeft" align="right" valign="top"><a id="ac9fe3ed05a336d1bf8e01761bf19de42"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_back</b> (<a class="el" href="classMiniRound.html">MiniRound</a> *)</td></tr>
<tr class="separator:ac9fe3ed05a336d1bf8e01761bf19de42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a087463fef97aea3fad55541ea88eeb1e"><td class="memItemLeft" align="right" valign="top"><a id="a087463fef97aea3fad55541ea88eeb1e"></a>
<a class="el" href="classMiniRound.html">MiniRound</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>back</b> ()</td></tr>
<tr class="separator:a087463fef97aea3fad55541ea88eeb1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa96a1548609aba67b1a5d6655314816e"><td class="memItemLeft" align="right" valign="top"><a id="aa96a1548609aba67b1a5d6655314816e"></a>
<a class="el" href="classMiniRound.html">MiniRound</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>front</b> ()</td></tr>
<tr class="separator:aa96a1548609aba67b1a5d6655314816e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22a0d783844aafd651df145ae89fc18e"><td class="memItemLeft" align="right" valign="top"><a id="a22a0d783844aafd651df145ae89fc18e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:a22a0d783844aafd651df145ae89fc18e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b9591cfc98960d7a09b03fdf0413a23"><td class="memItemLeft" align="right" valign="top"><a id="a8b9591cfc98960d7a09b03fdf0413a23"></a>
<a class="el" href="classMiniRound.html">MiniRound</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int)</td></tr>
<tr class="separator:a8b9591cfc98960d7a09b03fdf0413a23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aabbd7e1f0cf07e46a833b74cc495a5"><td class="memItemLeft" align="right" valign="top"><a id="a8aabbd7e1f0cf07e46a833b74cc495a5"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> () const</td></tr>
<tr class="separator:a8aabbd7e1f0cf07e46a833b74cc495a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3697e1b7ebceb3a2033464b7c94d47ef"><td class="memItemLeft" align="right" valign="top"><a id="a3697e1b7ebceb3a2033464b7c94d47ef"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:a3697e1b7ebceb3a2033464b7c94d47ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83ca37dc1bdc08c37d03fc775df7b526"><td class="memItemLeft" align="right" valign="top"><a id="a83ca37dc1bdc08c37d03fc775df7b526"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a83ca37dc1bdc08c37d03fc775df7b526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7094ee1d090f06e8d3013035d1cd2712"><td class="memItemLeft" align="right" valign="top"><a id="a7094ee1d090f06e8d3013035d1cd2712"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a7094ee1d090f06e8d3013035d1cd2712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31f2162f7d9e56339168522fcd8095d9"><td class="memItemLeft" align="right" valign="top"><a id="a31f2162f7d9e56339168522fcd8095d9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a31f2162f7d9e56339168522fcd8095d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abde99f5cf10ded11b19c306ea4f591cf"><td class="memItemLeft" align="right" valign="top"><a id="abde99f5cf10ded11b19c306ea4f591cf"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:abde99f5cf10ded11b19c306ea4f591cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d277c6229fd9558d7c4ae0e0fcbb28a"><td class="memItemLeft" align="right" valign="top"><a id="a6d277c6229fd9558d7c4ae0e0fcbb28a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:a6d277c6229fd9558d7c4ae0e0fcbb28a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="roundcard_8h_source.html">roundcard.h</a></li>
<li>src/roundcard.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
